> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Managed Account Transactions

Returns a list of transactions for a specific Managed Account.

## Path Parameters

## Query Parameters

## Returns

Returns a list of Managed Account Transaction objects.

```bash cURL theme={null}
curl https://production.methodfi.com/managed_accounts/macc_123456789/transactions \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```json theme={null}
{
  "success": true,
  "data": [
    {
      "id": "macc_txn_123456789",
      "description": "ELECTRONIC BILL PAY WELLS FARGO FINANC 2116418",
      "date": "2024-02-01",
      "amount": -8229
    },
    {
      "id": "macc_txn_123456788",
      "description": "ELECTRONIC BILL PAY MOUNTAIN AMERICA F 2116418",
      "date": "2024-02-01",
      "amount": -3500
    }
  ],
  "message": null
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.